public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-vcs/git-cola/
Date: Mon,  7 Dec 2020 09:25:09 +0000 (UTC)	[thread overview]
Message-ID: <1607332674.8958277d505585586c9b5c7aeb54a22bd4e45bcb.juippis@gentoo> (raw)

commit:     8958277d505585586c9b5c7aeb54a22bd4e45bcb
Author:     Martin Gysel <me <AT> bearsh <DOT> org>
AuthorDate: Sun Nov 29 13:24:06 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon Dec  7 09:17:54 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8958277d

dev-vcs/git-cola: bump to v3.8

Package-Manager: Portage-3.0.10, Repoman-3.0.2
Signed-off-by: Martin Gysel <me <AT> bearsh.org>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-vcs/git-cola/Manifest            |   1 +
 dev-vcs/git-cola/git-cola-3.8.ebuild | 114 +++++++++++++++++++++++++++++++++++
 dev-vcs/git-cola/metadata.xml        |  19 ++++--
 3 files changed, 130 insertions(+), 4 deletions(-)

diff --git a/dev-vcs/git-cola/Manifest b/dev-vcs/git-cola/Manifest
index 2138bce0be7..3751edc0caa 100644
--- a/dev-vcs/git-cola/Manifest
+++ b/dev-vcs/git-cola/Manifest
@@ -1 +1,2 @@
 DIST git-cola-3.5.tar.gz 970155 BLAKE2B ae602d4de0e6fac9d2817100bee8923d8f550d0bb83ddafd806ccdfbd0a77c65bfb60ff03a9399c6b60d5d4683eb6d46ee41eaa43faf2e2ac092b34c9151c999 SHA512 532e24092a72486171345aeb0e7610eb49c4062b64395988c6c4965cac6e9ffaed1268c30a0a525d4d99404f626d9e505a4be148d376994d4326e3ca873e2793
+DIST git-cola-3.8.tar.gz 980190 BLAKE2B 0502701c63f370b304a83094b2154757d1810216e82882472c7eac9633ac26eaa75974af05c32c18203d03b67a027655ea85c0e335915f204f668fcc86ed9c3f SHA512 9ae04dfef3b5bc64452a8df43e7afa93091f282097447208dadbd17522b62e5c43f7afce3eecc59fc4e38863496cdb41ac8b0453bbf327121629fbde20e45bb0

diff --git a/dev-vcs/git-cola/git-cola-3.8.ebuild b/dev-vcs/git-cola/git-cola-3.8.ebuild
new file mode 100644
index 00000000000..7bf45f51a19
--- /dev/null
+++ b/dev-vcs/git-cola/git-cola-3.8.ebuild
@@ -0,0 +1,114 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+DISTUTILS_SINGLE_IMPL=true
+DISTUTILS_USE_SETUPTOOLS=no
+inherit distutils-r1 readme.gentoo-r1 virtualx xdg-utils
+
+DESCRIPTION="The highly caffeinated git GUI"
+HOMEPAGE="https://git-cola.github.io/"
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	$(python_gen_cond_dep '
+		dev-python/numpy[${PYTHON_MULTI_USEDEP}]
+		dev-python/pygments[${PYTHON_MULTI_USEDEP}]
+		dev-python/PyQt5[network,${PYTHON_USEDEP}]
+		dev-python/QtPy[gui,${PYTHON_MULTI_USEDEP}]
+		dev-python/send2trash[${PYTHON_MULTI_USEDEP}]
+	')
+	dev-vcs/git
+"
+BDEPEND="sys-devel/gettext
+	$(python_gen_cond_dep "
+		doc? ( dev-python/sphinx[\${PYTHON_MULTI_USEDEP}] )
+		test? (
+			${VIRTUALX_DEPEND}
+			dev-python/mock[\${PYTHON_MULTI_USEDEP}]
+			dev-python/nose[\${PYTHON_MULTI_USEDEP}]
+			dev-python/pytest[\${PYTHON_MULTI_USEDEP}]
+		)
+	")
+"
+
+python_prepare_all() {
+	# make sure that tests also use the system provided QtPy
+	rm -r qtpy || die
+
+	rm share/git-cola/bin/*askpass* || die
+
+	# don't install docs into wrong location
+	sed -i -e '/doc/d' setup.py || die
+
+	# fix doc directory reference
+	sed -i \
+		-e "s/'doc', 'git-cola'/'doc', '${PF}'/" \
+		cola/resources.py || die
+
+	# fix ssh-askpass directory reference
+	sed -i -e 's/resources\.share/resources\.prefix/' cola/app.py || die
+
+	distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+	mydistutilsargs=( --no-vendor-libs --no-private-libs )
+}
+
+python_compile_all() {
+	cd share/doc/${PN}/ || die
+	if use doc ; then
+		emake all
+	else
+		sed \
+			-e '/^install:/s:install-html::g' \
+			-e '/^install:/s:install-man::g' \
+			-i Makefile || die
+	fi
+}
+
+python_test() {
+	GIT_CONFIG_NOSYSTEM=true \
+	PYTHONPATH="${S}:${S}/build/lib:${PYTHONPATH}" LC_ALL="en_US.utf8" \
+	virtx nosetests --verbose --with-id --with-doctest \
+		--exclude=sphinxtogithub
+}
+
+src_install() {
+	distutils-r1_src_install
+}
+
+python_install_all() {
+	cd share/doc/${PN}/ || die
+	emake \
+		DESTDIR="${D}" \
+		docdir="${EPREFIX}/usr/share/doc/${PF}" \
+		prefix="${EPREFIX}/usr" \
+		install
+
+	# remove empty bin folder
+	rm -Rf "${ED}"/usr/share/git-cola/bin
+
+	use doc || HTML_DOCS=( "${FILESDIR}"/index.html )
+
+	distutils-r1_python_install_all
+	readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+	xdg_desktop_database_update
+}
+
+pkg_postrm() {
+	xdg_desktop_database_update
+}

diff --git a/dev-vcs/git-cola/metadata.xml b/dev-vcs/git-cola/metadata.xml
index 3ae0e4fb147..4f507e2ec3d 100644
--- a/dev-vcs/git-cola/metadata.xml
+++ b/dev-vcs/git-cola/metadata.xml
@@ -1,8 +1,19 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-  <!-- maintainer-needed -->
-  <upstream>
-    <remote-id type="github">git-cola/git-cola</remote-id>
-  </upstream>
+	<maintainer type="person">
+		<email>davidroman96@gmail.com</email>
+		<name>David Roman</name>
+	</maintainer>
+	<maintainer type="person">
+		<email>me@bearsh.org</email>
+		<name>Martin Gysel</name>
+	</maintainer>
+	<maintainer type="project">
+		<email>proxy-maint@gentoo.org</email>
+		<name>Proxy Maintainers</name>
+	</maintainer>
+	<upstream>
+		<remote-id type="github">git-cola/git-cola</remote-id>
+	</upstream>
 </pkgmetadata>


             reply	other threads:[~2020-12-07  9:25 UTC|newest]

Thread overview: 68+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-12-07  9:25 Joonas Niilola [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-14 20:48 [gentoo-commits] repo/gentoo:master commit in: dev-vcs/git-cola/ Jakov Smolić
2025-02-14 20:48 Jakov Smolić
2025-02-08  2:05 Yixun Lan
2025-01-08 17:03 Andreas Sturmlechner
2025-01-08 17:03 Andreas Sturmlechner
2024-12-11  0:51 Yixun Lan
2024-11-25 20:07 Sam James
2024-11-25 14:09 Sam James
2024-10-02 18:10 Andreas Sturmlechner
2024-10-02 18:10 Andreas Sturmlechner
2024-10-01 18:32 Andreas Sturmlechner
2024-10-01 18:32 Andreas Sturmlechner
2024-10-01 18:32 Andreas Sturmlechner
2024-04-23  6:38 Joonas Niilola
2024-04-23  1:31 Sam James
2024-01-28 10:22 Yixun Lan
2023-12-23 17:38 Sam James
2023-12-23 17:31 Sam James
2023-12-23 17:31 Sam James
2023-12-23 17:31 Sam James
2023-08-27 15:23 Arthur Zamarin
2023-07-24 21:02 Sam James
2023-07-24 14:18 Arthur Zamarin
2023-04-20 12:22 Joonas Niilola
2023-04-19  9:33 Arthur Zamarin
2023-04-15 12:23 Joonas Niilola
2023-04-15 12:23 Joonas Niilola
2023-01-25 17:41 Joonas Niilola
2023-01-25 17:41 Joonas Niilola
2022-11-22 13:55 Joonas Niilola
2022-10-11 13:36 Joonas Niilola
2022-10-11 13:36 Joonas Niilola
2022-09-08  7:26 Agostino Sarubbo
2022-09-07  1:50 Sam James
2022-07-02 17:35 Joonas Niilola
2022-07-02 17:35 Joonas Niilola
2022-04-25 10:30 Joonas Niilola
2022-04-25  9:12 Joonas Niilola
2022-01-29  6:20 Sam James
2022-01-29  6:20 Sam James
2022-01-24 22:14 Michał Górny
2022-01-24 22:14 Michał Górny
2021-12-07  6:26 Agostino Sarubbo
2021-12-05  5:18 Sam James
2021-11-22 14:03 Joonas Niilola
2021-09-21  7:03 Joonas Niilola
2021-09-21  7:03 Joonas Niilola
2021-09-21  7:03 Joonas Niilola
2021-03-05 18:36 Joonas Niilola
2021-02-25  8:19 Sam James
2021-02-24 20:35 Sam James
2020-12-21 19:58 Sam James
2020-12-18  6:55 Joonas Niilola
2020-12-07  9:25 Joonas Niilola
2020-12-07  9:25 Joonas Niilola
2020-03-22 14:07 Agostino Sarubbo
2020-03-14 19:46 Agostino Sarubbo
2020-01-21 19:46 Andreas Sturmlechner
2020-01-16  6:05 Michał Górny
2018-11-20  7:43 Tiziano Müller
2018-06-26 19:04 Pacho Ramos
2017-09-25 14:10 Pacho Ramos
2016-12-25 23:48 Manuel Rüger
2016-01-10 11:56 Manuel Rüger
2015-11-11  9:02 Justin Lecher
2015-09-19 13:30 Agostino Sarubbo
2015-09-14 12:49 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1607332674.8958277d505585586c9b5c7aeb54a22bd4e45bcb.juippis@gentoo \
    --to=juippis@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox